Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.model
Class RuleModelInfoSvc.RuleTypeInfo

    java.lang.Object
      com.bea.p13n.rules.model.RuleModelInfoSvc.RuleTypeInfo

Enclosing class:
  RuleModelInfoSvc

    public static class RuleModelInfoSvc.RuleTypeInfo

extends Object

Information about rule-types.

Constructor Summary
`RuleModelInfoSvc.RuleTypeInfo(String ruleType, boolean allowMultipleActions, Collection<String> clauseTypes, Collection<String> excludedClauseTypes, RuleTypeRecognizer recognizer, int recognizerPriority)` Constructor.
`RuleModelInfoSvc.RuleTypeInfo(String ruleType, Collection<String> clauseTypes, RuleTypeRecognizer recognizer)` Deprecated

Method Summary
`boolean` | `equals(Object o)`
`Collection<String>` | `getActionClauseTypes()`
`boolean` | `getAllowMultipleActions()`
`Collection<String>` | `getClauseTypes()`
`Collection<String>` | `getConditionClauseTypes()` Return the list of available condition clause types for this rule type.
`RuleTypeRecognizer` | `getRecognizer()` Get the rule type recognizer, null if no recognizer configured.
`int` | `getRecognizerPriority()`
`String` | `getRuleType()` The rule type.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuleModelInfoSvc.RuleTypeInfo

    public RuleModelInfoSvc.RuleTypeInfo(String ruleType,
                                         boolean allowMultipleActions,
                                         Collection<String> clauseTypes,
                                         Collection<String> excludedClauseTypes,
                                         RuleTypeRecognizer recognizer,
                                         int recognizerPriority)

  Constructor.

### RuleModelInfoSvc.RuleTypeInfo

    @Deprecated
    public RuleModelInfoSvc.RuleTypeInfo(String ruleType,
                                                    Collection<String> clauseTypes,
                                                    RuleTypeRecognizer recognizer)

  Deprecated

  Constructor.

Method Detail

### getRuleType

    public String getRuleType()

  The rule type.

### getAllowMultipleActions

    public boolean getAllowMultipleActions()

### getConditionClauseTypes

    public Collection<String> getConditionClauseTypes()

  Return the list of available condition clause types for this rule type. If this rule type is not limited, this will return a list of all the available clause types.

  Returns
    an unmodifiable list.

### getActionClauseTypes

    public Collection<String> getActionClauseTypes()

### getClauseTypes

    public Collection<String> getClauseTypes()

### getRecognizer

    public RuleTypeRecognizer getRecognizer()

  Get the rule type recognizer, null if no recognizer configured.

### getRecognizerPriority

    public int getRecognizerPriority()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.